import { isVisible } from '../src/scripts.js'

function nextSlide (nextBtn, slides) {
    nextBtn.addEventListener('click', () => {
        for (let slide of slides) {

            if (isVisible(slide)) {
                let idStr = slide.id.slice(0-1);

                let idNum = parseInt(idStr);

                let nextIDNum = (idNum += 1);

                if (nextIDNum > slides.length) {
                    nextIDNum = 1;
                }

                window.location.href = `#slide${nextIDNum}`;
            }

        }
    })
}

function prevSlide (prevBtn, slides) {
    prevBtn.addEventListener('click', () => {
        for (let slide of slides) {

            if (isVisible(slide)) {
                let idStr = slide.id.slice(0-1);

                let idNum = parseInt(idStr);

                let prevIDNum = (idNum -= 1);

                if (prevIDNum < 1) {
                    prevIDNum = slides.length;
                }

                window.location.href = `#slide${prevIDNum}`;
            }

        }
    })
}

function currentSlide (slideIndicators) {
    for (let ind of slideIndicators) {

        let slideId = ind.href.slice(-6);
        let slide = document.getElementById(`${slideId}`);
    
        if(isVisible(slide)){
            for (let sli of slideIndicators){
                sli.style.background = 'none';
            }
    
            ind.style.background = '#eee';
        }

    }
}

function autoSlide (slides, openMobileMenuBtn) {

    const interval = setInterval(() => {

        for (let slide of slides) {

            if (isVisible(slide)) {
                let idStr = slide.id.slice(0-1);
    
                let idNum = parseInt(idStr);
    
                let nextIDNum = (idNum += 1);

                if (nextIDNum > slides.length) {
                    nextIDNum = 1;
                }
    
                window.location.href = `#slide${nextIDNum}`;
            }
            
        }

    }, 5000);

    openMobileMenuBtn.addEventListener('click', () => {
        clearInterval(interval);
    })
}

export { nextSlide, prevSlide, currentSlide, autoSlide }