import { dropDown } from '../src/dropdown.js';
import { mobileMenu } from '../src/mobileMenu.js';
import { resizeHeaderToMobile, resizeHeaderToDesktop } from '../src/scripts.js';
import { nextSlide, prevSlide, currentSlide, autoSlide } from '../src/carousel.js';

const headings = document.querySelectorAll('.heading');
const mobileHeadings = document.querySelectorAll('.mobileHeading');

if (window.innerWidth > 500){
    resizeHeaderToDesktop(headings);
    dropDown(headings);
} else {
    resizeHeaderToMobile(headings);
    mobileMenu(mobileHeadings);
}

window.addEventListener("resize", function() {
    if (window.matchMedia("(min-width: 500px)").matches) {
      resizeHeaderToDesktop(headings);
      dropDown(headings);
    } else {
      resizeHeaderToMobile(headings);
      mobileMenu(mobileHeadings);
    }
  })

const nextBtn = document.getElementById('nextSlide');
const prevBtn = document.getElementById('prevSlide');
const slides = document.querySelectorAll('.slide');
const links = document.querySelectorAll('.links')
const carousel = document.getElementById('carousel');
const hamburgerIcon = document.getElementById('hamburgerIcon');

carousel.addEventListener('scroll', () => {
  currentSlide(links);
})

autoSlide(slides, hamburgerIcon);
currentSlide(links);
nextSlide(nextBtn, slides);
prevSlide(prevBtn, slides);


