//HTML requirements
//menuHeadings to have ID and menu div to have both .mobileMenu class and ID of 'mm${ID}'
//ID for both hamburgerIcon & xIcon

import { autoSlide } from "./carousel.js";

function mobileMenu (headingNodelist) {
    const hamburgerIcon = document.getElementById('hamburgerIcon');
    const xIcon = document.getElementById('xIcon');
    const mobileMenuContainer = document.getElementById('mobileMenuContainer');

    hamburgerIcon.addEventListener('click', () => {
        mobileMenuContainer.style.display = 'flex';
        hamburgerIcon.style.display = 'none';
        xIcon.style.display = 'flex';
    })

    for (let heading of headingNodelist) {
        let id = heading.id;
        let div = document.getElementById(`${id}`);
        let allDropdowns = document.querySelectorAll('.mobileMenu');
        let currentDropdown = document.getElementById(`mm${id}`);


        div.addEventListener('click', () => {
                for (let dd of allDropdowns){
                    dd.style.display = 'none';
                }

                for (let head of headingNodelist){
                    head.classList.remove('active');
                }

            div.classList.add('active');

            currentDropdown.style.display = 'flex';

            closeMobileMenu(mobileMenuContainer, xIcon, hamburgerIcon);
        })

    }

}

function closeMobileMenu (menuContainerDiv, closeBtn, openMenuBtn) {
    closeBtn.addEventListener('click', () => {
        menuContainerDiv.style.display = 'none';
        closeBtn.style.display = 'none';
        openMenuBtn.style.display = 'flex';

        let slides = document.querySelectorAll('.slide');
        autoSlide(slides, openMenuBtn);
    })
}

export {mobileMenu};