function resizeHeaderToMobile (headingNodelist) {
    const header = document.querySelector('header');
    const hamburgerIcon = document.getElementById('hamburgerIcon');
    const dropdowns = document.querySelectorAll('.dropdown');
    const ooLogo = document.getElementById('oo');
    const ooMobileLogo = document.getElementById('ooMobile');

    ooLogo.style.display = 'none';
    ooMobileLogo.style.display = 'block';

    for (let heading of headingNodelist) {
        header.style.justifyContent = 'flex-start';
        heading.style.display = 'none';
        hamburgerIcon.style.display = 'block';
    }

    for (let dropdown of dropdowns) {
        dropdown.style.display = 'none';
    }
};

function resizeHeaderToDesktop (headingNodelist) {
    const header = document.querySelector('header');
    const hamburgerIcon = document.getElementById('hamburgerIcon');
    const xIcon = document.getElementById('xIcon');
    const mobileMenuContainer = document.getElementById('mobileMenuContainer');
    const ooLogo = document.getElementById('oo');
    const ooMobileLogo = document.getElementById('ooMobile');

    ooLogo.style.display = 'block';
    ooMobileLogo.style.display = 'none';

    for (let heading of headingNodelist) {
        header.style.justifyContent = 'center';
        heading.style.display = 'flex';
        hamburgerIcon.style.display = 'none';
        xIcon.style.display = 'none';
        mobileMenuContainer.style.display = 'none';
    }
}

function isVisible(element) {
    var rect = element.getBoundingClientRect();
    var html = document.documentElement;
    return (
      rect.top >= 0 &&
      rect.left >= 0 &&
      rect.bottom <= (window.innerHeight || html.clientHeight) &&
      rect.right <= (window.innerWidth || html.clientWidth)
    );
  }

export { resizeHeaderToMobile, resizeHeaderToDesktop, isVisible};